Endpoint Groups
Folders
Folders operations within the Notebooks API group.
List notebook foldersGET
/notebooks/folders
Operation ID
listNotebookFoldersQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
owner |
string |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
429 |
Client error |
500 |
Server error |
Create notebook folderPOST
/notebooks/folders
Operation ID
createNotebookFolderRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get notebook folderGET
/notebooks/folders/{folderId}
Operation ID
getNotebookFolderPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
folderId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update notebook folderPATCH
/notebooks/folders/{folderId}
Operation ID
updateNotebookFolderPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
folderId |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete notebook folderDELETE
/notebooks/folders/{folderId}
Operation ID
deleteNotebookFolderPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
folderId |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |